<!DOCTYPE html>
<html lang="es">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Lectura de datos JSON</title>
  <style>
    table {
      width: 70%;
      border-collapse: collapse;
      margin-bottom: 10px;
    }
    
    table th, table td {
      padding: 5px;
      text-align: left;
      border: 1px solid #080808;
    }
    
    table th {
      background-color: #6b8033;
    }
    tbody {
      background-color: rgb(152, 179, 122);
    }
  </style>
</head>
<body>
  <h1>Doctores</h1>
  <table border="1" id="doctores">
    <thead>
      <th>Nombre</th>
      <th>Apellidos</th>
      <th>Cédula</th>
      <th>Profesión</th>
      <th>Email</th>
    </thead>
    <tbody>
    </tbody>
  </table>
  

  <h1>Pacientes</h1>
  <table border="1" id="pacientes">
    <thead>
        <th>Nombre</th>
        <th>Apellido</th>
        <th>Cédula</th>
        <th>Edad</th>
        <th>Fecha de nacimiento</th>
        <th>Género</th>
        <th>Dirección</th>
        <th>Teléfono</th>
        <th>Correo</th>
        <th>Tipo de sangre</th>
        <th>Alergias</th>
        <th>Enfermedades</th>
        <th>Historial clínico</th>
    </thead>
    <tbody>
    </tbody>
  </table>

  <h1>Consultas</h1>
  <table border="1" id="consultas">
    <thead>
        <th>Nombre Paciente</th>
        <th>Fecha consulta</th>
        <th>Hora consulta</th>
        <th>Medico</th>
        <th>Sintomas</th>
        <th>diagnostico</th>
        <th>tratamiento</th>
    </thead>
    <tbody>
    </tbody>
  </table>

  <h1>Hospitalización</h1>
  <table border="1" id="detallehospitalizacion">
    <thead>
        <th>Fecha de ingreso</th>
        <th>Fecha de salida</th>
        <th>Número de cama</th>
        <th>Motivo de Hospitalización</th>
        <th>diagnostico</th>
        <th>tratamiento</th>
    </thead>
    <tbody>
    </tbody>
  </table>

  <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

  <script>

    $(document).ready(() => {
      $.ajax({
        type: 'GET',
        url: 'tarea.json',
        dataType: 'json',
        //leer datos de doctor
        success: function(data) {
          data.doctores.forEach(function(doctor) {
            let fila = $('<tr>');
            fila.append($(`<td>${doctor.nombre}</td>`));
            fila.append($(`<td>${doctor.apellidos}</td>`));
            fila.append($(`<td>${doctor.cedula}</td>`));
            fila.append($(`<td>${doctor.profesion}</td>`));
            fila.append($(`<td>${doctor.email}</td>`));
            $('#doctores tbody').append(fila);
          });

            //leer datos de pacientes
          data.pacientes.forEach(function(paciente) {
            let fila = $('<tr>');
            fila.append($(`<td>${paciente.nombre}</td>`));
            fila.append($(`<td>${paciente.apellidos}</td>`));
            fila.append($(`<td>${paciente.cedula}</td>`));
            fila.append($(`<td>${paciente.edad}</td>`));
            fila.append($(`<td>${paciente.fecha_nacimiento}</td>`));
            fila.append($(`<td>${paciente.genero}</td>`));
            fila.append($(`<td>${paciente.direccion}</td>`));
            fila.append($(`<td>${paciente.telefono}</td>`));
            fila.append($(`<td>${paciente.correo}</td>`));
            fila.append($(`<td>${paciente.tipo_sangre}</td>`));
            fila.append($(`<td>${paciente.alergias}</td>`));
            fila.append($(`<td>${paciente.enfermedades}</td>`));
            fila.append($(`<td>${paciente.historialclinico}</td>`));
            $('#pacientes tbody').append(fila);
          });

          //leer datos de consultas
           data.consultas.forEach(function(consulta) {
            let fila = $('<tr>');
            fila.append($(`<td>${consulta.nombrepaciente}</td>`));
            fila.append($(`<td>${consulta.fechaconsulta}</td>`));
            fila.append($(`<td>${consulta.horaconsulta}</td>`));
            fila.append($(`<td>${consulta.medico}</td>`));
            fila.append($(`<td>${consulta.sintomas}</td>`));
            fila.append($(`<td>${consulta.diagnostico}</td>`));
            fila.append($(`<td>${consulta.tratamiento}</td>`));
            $('#consultas tbody').append(fila);
          });

          //leer datos de hospitalizacion
          data.hospitalizacion.forEach(function(hospitalizacion) {
            let fila = $('<tr>');
            fila.append($(`<td>${hospitalizacion.fechaingreso}</td>`));
            fila.append($(`<td>${hospitalizacion.fechasalida}</td>`));
            fila.append($(`<td>${hospitalizacion.numerocama}</td>`));
            fila.append($(`<td>${hospitalizacion.motivohospitalizacion}</td>`));
            fila.append($(`<td>${hospitalizacion.diagnostico}</td>`));
            fila.append($(`<td>${hospitalizacion.tratamiento}</td>`));
            $('#detallehospitalizacion tbody').append(fila);
          });
        }
      });
    });
   
  </script>
</body>
</html>
